ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.86, 0.025, "- Fendt Xylon 522 Hud -");		
		
		renderText(0.72, 0.82, 0.025, "- Lichtinfo -");		
		
		renderText(0.72, 0.78, 0.02, "Taste Pos1: Rundumleuchte ein/aus");
		renderText(0.72, 0.76, 0.02, "Taste KP 5: Arbeitslicht vorne an/aus");
		renderText(0.72, 0.74, 0.02, "Taste KP 6: Arbeitslicht hinte an/aus");
		renderText(0.72, 0.72, 0.02, "Taste Numpad 1: Blinker Links");
		renderText(0.72, 0.70, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.68, 0.02, "Taste Numpad 3: Blinker Rechts");
		
		renderText(0.72, 0.64, 0.025, "- Sonstiges -");		
		
		renderText(0.72, 0.60, 0.02, "Taste 8: Rundumleuche up/down");			
		renderText(0.72, 0.58, 0.02, "Taste 0: Hupe");
		renderText(0.72, 0.56, 0.02, "Taste 6: Zwinllingsreifen an/aus");

		renderText(0.72, 0.50, 0.02, "by Desperados93");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;